=== modified file 'src/wubi-preseed.nsh'
--- src/wubi-preseed.nsh	2007-03-26 22:46:46 +0000
+++ src/wubi-preseed.nsh	2007-03-27 18:32:58 +0000
@@ -62,8 +62,9 @@
 
 
 Function PreseedWrite
-
-call PreseedStoreRegistryValues
+;Now done in VarInit at start of wubi
+;Do not do it here or it will overwrite username
+;call PreseedStoreRegistryValues
 
 !insertmacro ReplaceLineStr "$instdir\install\preseed.cfg" "d-i debian-installer/locale string" "d-i debian-installer/locale string $locale"
 !insertmacro ReplaceLineStr "$instdir\install\preseed.cfg" "d-i console-setup/modelcode string" "d-i console-setup/modelcode string $modelcode"

=== modified file 'src/wubi.nsi'
--- src/wubi.nsi	2007-03-26 22:46:46 +0000
+++ src/wubi.nsi	2007-03-27 18:32:58 +0000
@@ -54,6 +54,8 @@
 !define languageselectionenable "0"
 !define introshow "0"
 !define disablediskspacechecks "0"
+!define enablelicencepage "0"
+
 
  !define VERSION "WUBIVERSION"
  !define HomePage-URL "http://cutlersoftware.com/ubuntusetup"
@@ -188,7 +190,9 @@
 
 ;--------------------------------
 ;Pages
+!if ${enablelicencepage} == 1
 !insertmacro MUI_PAGE_LICENSE "License.txt"
+!endif
 Page Custom ShowInProgress LeaveInProgress ;Needed for resume mode, actually remains hidden almost everytime.
 Page Custom ShowJumpIn LeaveJumpIn ;Intended for silent install or further settings transfer
 Page Custom ShowUninstallIntro LeaveUninstallIntro
@@ -325,6 +329,9 @@
     File /oname=$PLUGINSDIR\ubuntu.bmp "images\ubuntu.bmp"
     File /oname=$PLUGINSDIR\kubuntu.bmp "images\kubuntu.bmp"
     File /oname=$PLUGINSDIR\xubuntu.bmp "images\xubuntu.bmp"
+    
+    
+    
 FunctionEnd
 
 ;--------------------------------
@@ -516,7 +523,8 @@
     call VarInit
     GetDlgItem $1 $HWNDPARENT 1                   ;//Disable "Next" button
     EnableWindow $1 0
-
+    BringToFront
+    
     call SearchIsoInCommonDirectories
     ${If} $IsoStatus == "Bad"
         StrCpy $download 0 ;set the flags to skip the iso selection page
@@ -1188,6 +1196,8 @@
         Pop $password2
         Strcpy $0 ""
         Strcpy $1 ""
+        
+        ;MessageBox MB_OK "$$username $username"
 FunctionEnd
 
 ;--------------------------------

